> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> List templates.



## OpenAPI

````yaml GET /v1/templates
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/templates:
    get:
      tags:
        - templates
      description: List templates.
      parameters:
        - schema:
            type: string
            enum:
              - OFFICIAL
              - SHARED
              - CUSTOM
          in: query
          name: type
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: pieces
          required: true
        - schema:
            type: array
            items:
              type: string
          in: query
          name: tags
          required: true
        - schema:
            type: string
          in: query
          name: search
          required: false
        - schema:
            type: string
          in: query
          name: category
          required: false
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````